"use strict";

chrome.contextMenus.create({
    title: "executeScript ({ frameId, allFrames: true })",
    id: "menuitem",
    contexts: ["page", "frame"],
    onclick(info, tab) {
        chrome.tabs.executeScript(tab.id, {
            file: "contentscript.js",
            frameId: info.frameId,
            allFrames: true,
        }, function(results) {
            console.log(`${results.length} results for executeScript`, results);
        });
    },
});

var toggleColor = false;
chrome.browserAction.onClicked.addListener(function(tab) {
    toggleColor = !toggleColor;
    chrome.tabs.executeScript(tab.id, {
        code: `document.body.style.backgroundColor = "${toggleColor ? "red" : ""}";`,
        allFrames: true,
    });
});
